--- old/usr/src/man/man1m/pntadm.1m	2014-10-07 19:19:54.087232754 +0200
+++ /dev/null	2014-10-07 19:19:54.000000000 +0200
@@ -1,737 +0,0 @@
-'\" te
-.\"  Copyright (c) 2003 by Sun Microsystems, Inc. All Rights Reserved.
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH PNTADM 1M "Jan 9, 2004"
-.SH NAME
-pntadm \- DHCP network table management utility
-.SH SYNOPSIS
-.LP
-.nf
-\fBpntadm\fR \fB-C\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] \fInetwork\fR
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-A\fR \fIname_IP_address\fR [\fB-c\fR \fIcomment\fR] [\fB-e\fR \fImm/dd/yyyy\fR]
-     [\fB-f\fR \fInum\fR | \fIkeywords\fR] [\fB-h\fR \fIclient_hostname\fR]
-     [\fB-i\fR [\fB-a\fR] \fIclient_ID\fR] [\fB-m\fR [\fB-y\fR] \fImacro\fR] [\fB-s\fR \fIserver\fR]
-     [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR \fIuninterpreted\fR] \fInetwork\fR
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-M\fR \fIname_IP_address\fR [\fB-c\fR \fIcomment\fR] [\fB-e\fR \fImm/dd/yyyy\fR]
-     [\fB-f\fR \fInum\fR | \fIkeywords\fR] [\fB-h\fR \fIclient_hostname\fR]
-     [\fB-i\fR [\fB-a\fR] \fIclient\fR \fI ID\fR] [\fB-m\fR [\fB-y\fR] \fImacro\fR]
-     [\fB-n\fR \fInew_client_IP_address\fR] [\fB-s\fR \fIserver\fR] [\fB-r\fR \fIresource\fR]
-     [\fB-p\fR \fIpath\fR] [\fB-u\fR uninterpreted] \fInetwork\fR
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-D\fR \fIname_IP_address\fR [\fB-y\fR] [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR]
-     [\fB-u\fR uninterpreted] \fInetwork\fR
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-P\fR [\fB-v\fR] [\fB-x\fR] [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR]
-     [\fB-u\fR uninterpreted] \fInetwork\fR
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-R\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR uninterpreted] \fInetwork\fR
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-L\fR [\fB-r\fR \fIresource\fR] [\fB-p\fR \fIpath\fR] [\fB-u\fR uninterpreted]
-.fi
-
-.LP
-.nf
-\fBpntadm\fR \fB-B\fR [\fB-v\fR] [\fIbatchfile\fR]
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-The \fBpntadm\fR command is used to manage the Dynamic Host Configuration
-Protocol (\fBDHCP\fR) network tables. It is used to add and remove networks
-under \fBDHCP\fR management, and add, delete, or modify IP address records
-within network tables, or to view tables. For a description of the format of
-\fBDHCP\fR network tables, see \fBdhcp_network\fR(4).
-.sp
-.LP
-\fBpntadm\fR can be run as root or by other users assigned to the \fBDHCP\fR
-Management profile. See \fBrbac\fR(5) and \fBuser_attr\fR(4).
-.sp
-.LP
-If the networks you want to add are subnetted, you need to update the
-\fBnetmasks\fR(4) table.
-.sp
-.LP
-One of the following options (function flags) must be specified with the
-\fBpntadm\fR command: \fB-A\fR, \fB-B\fR, \fB-C\fR, \fB-D\fR, \fB-L\fR,
-\fB-M\fR, \fB-P\fR, or\fB-R\fR.
-.SH OPTIONS
-.sp
-.LP
-The following options are supported:
-.sp
-.ne 2
-.na
-\fB\fB-A\fR\fI name_IP_address\fR\fR
-.ad
-.RS 26n
-Add a client entry with hostname or client IP address, \fIname_IP_address\fR,
-to the named \fBDHCP\fR network table.
-.sp
-The following sub-options are optional:
-.sp
-.ne 2
-.na
-\fB\fB-c\fR \fIcomment\fR\fR
-.ad
-.RS 22n
-Comment text. The default is \fINULL\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR \fImm/dd/yyyy\fR\fR
-.ad
-.RS 22n
-Absolute lease. The default is \fB0\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-f\fR \fInum\fR | \fIkeywords\fR\fR
-.ad
-.RS 22n
-Flag value. The default is \fB00\fR.
-.sp
-The flag (\fB-f\fR) option can be specified either as a single number denoting
-the intended flag value, or as a series of the following keywords, combined
-using the plus (\fB+\fR) symbol:
-.sp
-.ne 2
-.na
-\fB\fBDYNAMIC\fR or \fB00\fR\fR
-.ad
-.RS 19n
-Server manager's assignment.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBPERMANENT\fR or \fB01\fR\fR
-.ad
-.RS 19n
-Lease on entry is permanent.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBMANUAL\fR or \fB02\fR\fR
-.ad
-.RS 19n
-Administrator managed assignment.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBUNUSABLE\fR or \fB04\fR\fR
-.ad
-.RS 19n
-Entry is not valid.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBBOOTP\fR or \fB08\fR\fR
-.ad
-.RS 19n
-Entry reserved for \fBBOOTP\fR clients.
-.RE
-
-For a more detailed description of the flag values, see \fBdhcp_network\fR(4).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR \fIclient_hostname\fR\fR
-.ad
-.RS 22n
-Client hostname. The default is NULL.
-.sp
-When the \fB-h\fR option is used in this mode, the \fIclient_hostname\fR is
-added to the hosts table within the resource used for storing host names
-(files, NIS+ or DNS). The command will fail if this \fIclient_hostname\fR is
-already present in the hosts table.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR \fIclient_ID\fR [\fB-a\fR]\fR
-.ad
-.RS 22n
-Client identifier [\fB-a\fR]. The default is \fB00\fR.
-.sp
-The \fB-i\fR option modified with \fB-a\fR specifies that the client identifier
-is in \fBASCII\fR format, and thus needs to be converted to hexadecimal format
-before insertion into the table.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fImacro\fR [\fB-y\fR]\fR
-.ad
-.RS 22n
-Macro name. Default is UNKNOWN.
-.sp
-The \fB-m\fR option modified with \fB-y\fR verifies the existence of the named
-macro in the \fBdhcptab\fR table before adding the entry.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-s\fR \fIserver\fR\fR
-.ad
-.RS 22n
-Server IP or name. Default is system name (\fBuname\fR \fB-n\fR).
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-B\fR\fR
-.ad
-.RS 26n
-Activate batch mode. \fBpntadm\fR will read from the specified file or from
-standard input a series of \fBpntadm\fR commands and execute them within the
-same process. Processing many \fBpntadm\fR commands using this method is much
-faster than running an executable batchfile itself. Batch mode is recommended
-for using \fBpntadm\fR in scripts.
-.sp
-The following sub-option is optional:
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.RS 6n
-Display commands to standard output as they are processed.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-C\fR\fR
-.ad
-.RS 26n
-Create the \fBDHCP\fR network table for the network specified by \fInetwork\fR.
-See . For details, see \fBdhcp_network\fR(4) and \fBnetworks\fR(4).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-D\fR \fI name_IP_address\fR\fR
-.ad
-.RS 26n
-Delete the specified client entry with hostname or client IP address,
-\fIname_IP_address\fR, in the named \fBDHCP\fR network table. (See
-\fBdhcp_network\fR(4).)
-.sp
-The following sub-option is optional:
-.sp
-.ne 2
-.na
-\fB\fB-y\fR\fR
-.ad
-.RS 6n
-Remove associated host table entry. The \fB-y\fR option requests that all
-hostnames associated with the \fBIP\fR address in the hosts table in the
-resource be removed.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-L\fR\fR
-.ad
-.RS 26n
-List the \fBDHCP\fR network tables presently configured, one per line, on
-standard output. If none are found, no output is printed and an exit status of
-\fB0\fR is returned.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-M\fR \fI name_IP_address\fR\fR
-.ad
-.RS 26n
-Modify the specified client entry with hostname or client IP address,
-\fIname_IP_address\fR, in the named \fBDHCP\fR network table. See
-\fBdhcp_network\fR(4). The default for the sub-options is what they currently
-are set to.
-.sp
-The following sub-options are optional.
-.sp
-.ne 2
-.na
-\fB\fB-c\fR \fIcomment\fR\fR
-.ad
-.RS 29n
-New comment text.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-e\fR \fImm/dd/yy\fR\fR
-.ad
-.RS 29n
-New absolute lease expiration date. Time defaults to 12:00 AM of the day
-specified.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-f\fR \fInum\fR | \fIkeyboard\fR\fR
-.ad
-.RS 29n
-New flag value, see explanation following the description of the \fB-A\fR
-option.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-h\fR \fIhost_name\fR\fR
-.ad
-.RS 29n
-New client hostname.
-.sp
-The \fB-h\fR option allows you to change the current \fIhostname\fR associated
-with the \fBIP\fR address or to add a new \fIhostname\fR to the hosts table if
-an entry associated with this \fBIP\fR address does not exist.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-i\fR \fIclient_ID\fR\fR
-.ad
-.RS 29n
-New client identifier [\fB-a\fR].
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-m\fR \fImacro\fR [\fB-y\fR]\fR
-.ad
-.RS 29n
-Macro name defined in \fBdhcptab\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-n \fR \fInew_client_IP_address\fR\fR
-.ad
-.RS 29n
-New \fBIP\fR address.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-s\fR \fIserver\fR\fR
-.ad
-.RS 29n
-New server \fBIP\fR or name.
-.RE
-
- For more detailed description of the sub-options and flag values, see
-\fBdhcp_network\fR(4).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-P\fR\fR
-.ad
-.RS 26n
-Display the named \fBDHCP\fR network table.
-.sp
-The following sub-options are optional:
-.sp
-.ne 2
-.na
-\fB\fB-v\fR\fR
-.ad
-.RS 6n
-Display lease time in full verbose format and resolve IP addresses for the
-clients and server to hostnames.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-x\fR\fR
-.ad
-.RS 6n
-Display lease time in raw format.
-.RE
-
-These flag codes are used with the \fB-P\fR sub-options:
-.sp
-
-.sp
-.TS
-l l l
-l l l .
-\fB-v\fR	\fB-x\fR	Description
-D	00	DYNAMIC
-P	01	PERMANENT
-M	02	MANUAL
-U	04	UNUSABLE
-B	08	BOOTP
-.TE
-
-See \fBdhcp_network\fR(4) for information on these sub-options and associated
-flag codes.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-p\fR\fI path\fR\fR
-.ad
-.RS 26n
-Override the \fBdhcpsvc.conf\fR(4) configuration value for data store resource
-path, \fIpath\fR See \fBdhcpsvc.conf\fR(4)
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-R\fR\fR
-.ad
-.RS 26n
-Remove the named DHCP network table. See \fBdhcp_network\fR(4).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-r\fR \fIdata_store_resource\fR\fR
-.ad
-.RS 26n
-Override the \fB/etc/inet/dhcpsvc.conf\fR configuration value for
-\fBRESOURCE=\fR with the \fIdata_store_resource\fR specified. See the
-\fBdhcpsvc.conf\fR(4) man page for more details on resource type, and the
-\fI\fR for more information about adding support for other data stores.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB-u\fR uninterpreted\fR
-.ad
-.RS 26n
-Data which will be ignored by \fBpntadm\fR, but passed to the currently
-configured public module to be interpreted by the data store. This might be
-used for a database account name or other authentication or authorization
-parameters required by a particular data store.
-.RE
-
-.SH OPERANDS
-.sp
-.LP
-The following operand is supported:
-.sp
-.ne 2
-.na
-\fB\fInetwork\fR\fR
-.ad
-.RS 11n
-The network address or network name which corresponds to the \fBdhcp network\fR
-table. See \fBdhcp_network\fR(4).
-.RE
-
-.SH EXAMPLES
-.LP
-\fBExample 1 \fRCreating a Table for the \fB10.0.0.0\fR DHCP Network
-.sp
-.LP
-The following command creates a table for the \fB10.0.0.0\fR (subnetted to
-class C) \fBDHCP\fR network table. Note that if you have an alias for this
-network in your \fBnetworks\fR(4) table, you can use that value rather than the
-dotted Internet Address notation.
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -C 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 2 \fRAdding an Entry to the \fB10.0.0.0\fR Table
-.sp
-.LP
-The following command adds an entry to the \fB10.0.0.0\fR table in the
-\fBfiles\fR resource in the \fB/var/mydhcp\fR directory:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -r SUNWfiles -p /var/mydhcp -A 10.0.0.1 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 3 \fRModifying the \fB10.0.0.1\fR Entry of the \fB10.0.0.0\fR Table
-.sp
-.LP
-The following command modifies the \fB10.0.0.1\fR entry of the \fB10.0.0.0\fR
-table, changing the macro name to \fBGreen\fR, setting the flags field to
-\fBMANUAL\fR and \fBPERMANENT:\fR
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -M 10.0.0.1 -m Green -f 'PERMANENT+MANUAL' 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 4 \fRChanging the \fB10.0.0.1\fR Entry to \fB10.0.0.2\fR
-.sp
-.LP
-The following command changes the \fB10.0.0.1\fR entry to \fB10.0.0.2\fR,
-making an entry in the \fBhosts\fR(4) table called \fBmyclient\fR:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -M 10.0.0.1 -n 10.0.0.2 -h myclient 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 5 \fRSetting the Client \fBID\fR as \fBASCII\fR
-.sp
-.LP
-The following command sets the client \fBID\fR as \fBASCII\fR
-\fBaruba.foo.com\fR for the \fBmyclient\fR entry:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -M myclient -i 'aruba.foo.com' -a 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 6 \fRDeleting the \fBmyclient\fREntry from the \fB10.0.0.0\fR Table
-.sp
-.LP
-The following command deletes the \fBmyclient\fR (\fB10.0.0.2\fR) entry from
-the \fB10.0.0.0\fR table:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -D myclient 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 7 \fRRemoving the Named DHCP Network Table
-.sp
-.LP
-The following command removes the named \fBDHCP\fR network table in the NIS+
-directory specified:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -r SUNWnisplus -p Test.Nis.Plus. -R 10.0.0.0\fR
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 8 \fRListing the Configured DHCP Network Tables
-.sp
-.LP
-The following command lists the configured DHCP network tables:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -L\fR
-192.168.0.0
-10.0.0.0
-.fi
-.in -2
-.sp
-
-.LP
-\fBExample 9 \fRExecuting \fBpntadm\fR Commands in Batch Mode
-.sp
-.LP
-The following command runs a series of \fBpntadm\fR commands contained in a
-batch file:
-
-.sp
-.in +2
-.nf
-example# \fBpntadm -B addclients\fR
-.fi
-.in -2
-.sp
-
-.SH EXIT STATUS
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 5n
-Successful completion.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB1\fR\fR
-.ad
-.RS 5n
-Object already exists.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB2\fR\fR
-.ad
-.RS 5n
-Object does not exist.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB3\fR\fR
-.ad
-.RS 5n
-Non-critical error.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB4\fR\fR
-.ad
-.RS 5n
-Critical error.
-.RE
-
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/etc/inet/dhcpsvc.conf\fR\fR
-.ad
-.RS 26n
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/etc/inet/hosts\fR\fR
-.ad
-.RS 26n
-
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Interface Stability	Evolving
-.TE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBdhcpconfig\fR(1M), \fBdhcpmgr\fR(1M), \fBdhcp_network\fR(4), ,
-\fBdhcpsvc.conf\fR(4), \fBdhcptab\fR(4), \fBhosts\fR(4), \fBnetmasks\fR(4),
-\fBnetworks\fR(4), \fBuser_attr\fR(4), \fBattributes\fR(5), \fBdhcp\fR(5),
-\fBdhcp_modules\fR(5), \fBrbac\fR(5)
-.sp
-.LP
-\fI\fR
-.sp
-.LP
-\fI\fR
-.sp
-.LP
-Alexander, S., and R. Droms, \fIDHCP Options and BOOTP Vendor Extensions\fR,
-RFC 1533, Lachman Technology, Inc., Bucknell University, October 1993.
-.sp
-.LP
-Droms, R., \fIInteroperation Between DHCP and BOOTP\fR, RFC 1534, Bucknell
-University, October 1993.
-.sp
-.LP
-Droms, R., \fIDynamic Host Configuration Protocol\fR, RFC 1541, Bucknell
-University, October 1993.
-.sp
-.LP
-Wimer, W., \fIClarifications and Extensions for the Bootstrap Protocol\fR, RFC
-1542, Carnegie Mellon University, October 1993.
